Contents

hide
<<previous   next>>

Bug 1172 :

Status: Obsolete

figue

General information

----WARNING---

QPainter::setFont: Painter not active

2010-09-24 15:41:13.553

main,layerPainter1,layerPainter2

Current thread:

---- thread main
virtual void SciFigs::ImageWidget::update():85
virtual void SciFigs::GraphicSheet::update():680
virtual void SciFigs::GraphicSheet::xml_polish(QGpCoreTools::XMLContext*):1833
QGpCoreTools::XMLClass::Error SciFigs::XMLSciFigs::restoreFile(QString, QGpCoreTools::XMLClass*, QFlags):102
void SciFigs::GraphicSheet::fileOpen(QString, double, double):1613
void SciFigs::GraphicSheet::fileOpen():1601
---- thread layerPainter1
virtual void SciFigs::LayerPainterThread::run():59
---- thread layerPainter2
virtual void SciFigs::XYValueLines::paintData(const SciFigs::LayerPainterRequest&, QPainter&, double) const:185
void SciFigs::GraphContentLayer::paint(const SciFigs::LayerPainterRequest&, QPainter&, double):199
void SciFigs::LayerPainterRequest::paintLayers(QPainter&):93
virtual void SciFigs::LayerPainterThread::run():59

---- thread main
---- thread layerPainter1
---- thread layerPainter2
---- thread main
---- thread layerPainter1
---- thread layerPainter2

Developer comments (common to all duplicates if any)

Still no comments.

Systems and versions

Linux
  Qt                  4.5.2
  QGpCoreTools        1.18.0-snapshot-20100222 from geopsypack-2.1.0-snapshot-20100222	(built on 201002221758)
  QGpCoreWave         0.8.0-snapshot-20100222 from geopsypack-2.1.0-snapshot-20100222	(built on 201002221758)
  QGpGuiTools         1.10.0-snapshot-20100222 from geopsypack-2.1.0-snapshot-20100222	(built on 201002221758)
  SciFigs             2.3.0-snapshot-20100222 from geopsypack-2.1.0-snapshot-20100222	(built on 201002221758)
  gplivemodel         0.1.0-snapshot-20100222 from geopsypack-2.1.0-snapshot-20100222	(built on 201002221758)
  GeopsyCore          3.3.0-snapshot-20100222 from geopsypack-2.1.0-snapshot-20100222	(built on 201002221758)
  GeopsyGui           2.8.0-snapshot-20100222 from geopsypack-2.1.0-snapshot-20100222	(built on 201002221758)

Mac OS X Snow Leopard (10.6)
  Qt                  4.6.2
  QGpCoreTools        1.18.0-snapshot-20100616 from geopsypack-2.1.0-snapshot-20100616	(built on 201006161925)
  QGpGuiTools         1.10.0-snapshot-20100616 from geopsypack-2.1.0-snapshot-20100616	(built on 201006161925)
  SciFigs             2.3.0-snapshot-20100616 from geopsypack-2.1.0-snapshot-20100616	(built on 201006161925)
  figue               1.5.0-snapshot-20100616 from geopsypack-2.1.0-snapshot-20100616	(built on 201006161925)

User comments

User reports

16592010-09-24 16:12:04
11702010-02-26 12:01:35